summaryrefslogtreecommitdiffstats
path: root/unittests/unittest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'unittests/unittest.sh')
-rwxr-xr-xunittests/unittest.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/unittests/unittest.sh b/unittests/unittest.sh
index 1560a90d..215d0ebd 100755
--- a/unittests/unittest.sh
+++ b/unittests/unittest.sh
@@ -35,4 +35,26 @@ run_flake8() {
fi
}
+run_tests() {
+ echo "Running unittest ..."
+ cd dovetail/
+ if [ $FILE_OPTION == "f" ]; then
+ python -m unittest discover -v -s tests/unit > $logfile 2>&1
+ else
+ python -m unittest discover -v -s tests/unit
+ fi
+
+ if [ $? -ne 0 ]; then
+ if [ $FILE_OPTION == "f" ]; then
+ echo "FAILED, results in $logfile"
+ fi
+ exit 1
+ else
+ if [ $FILE_OPTION == "f" ]; then
+ echo "OK, results in $logfile"
+ fi
+ fi
+}
+
run_flake8
+run_tests